import { Org } from "@salesforce/core";
export default abstract class BaseMetadataRetriever<T> {
    org: Org;
    private tooling;
    private query;
    private countQuery;
    private limit;
    private isLimitBasedQueryRetrieval;
    private totalSize;
    private queryWithOffsetsAndLimit;
    protected cacheLoaded: boolean;
    protected data: any;
    protected dataLoaded: boolean;
    protected cacheFileName: string;
    protected constructor(org: Org, tooling?: boolean);
    protected setCountQuery(countQuery: string, limit: number): void;
    protected setQuery(query: string): void;
    protected getObjects(): Promise<T[]>;
    private queryMore;
    private getCount;
}
